//#####################################################################
// Copyright 2009, Avi Robinson-Mosher, Craig Schroeder.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#include <Core/Grids/FACE_INDEX.h>
#include <Core/Read_Write/READ_WRITE.h>
namespace PhysBAM{
template<int d> template<class RW> void FACE_INDEX<d>::
Read(UNTYPED_ISTREAM<RW>& input)
{
    Read_Binary_Group(input,axis,index);
}
template<int d> template<class RW> void FACE_INDEX<d>::
Write(UNTYPED_OSTREAM<RW>& output) const
{
    Write_Binary_Group(output,axis,index);
}
template void FACE_INDEX<1>::Read(UNTYPED_ISTREAM<char>&);
template void FACE_INDEX<1>::Read(UNTYPED_ISTREAM<double>&);
template void FACE_INDEX<1>::Read(UNTYPED_ISTREAM<float>&);
template void FACE_INDEX<1>::Write(UNTYPED_OSTREAM<char>&) const;
template void FACE_INDEX<1>::Write(UNTYPED_OSTREAM<double>&) const;
template void FACE_INDEX<1>::Write(UNTYPED_OSTREAM<float>&) const;
template void FACE_INDEX<2>::Read(UNTYPED_ISTREAM<char>&);
template void FACE_INDEX<2>::Read(UNTYPED_ISTREAM<double>&);
template void FACE_INDEX<2>::Read(UNTYPED_ISTREAM<float>&);
template void FACE_INDEX<2>::Write(UNTYPED_OSTREAM<char>&) const;
template void FACE_INDEX<2>::Write(UNTYPED_OSTREAM<double>&) const;
template void FACE_INDEX<2>::Write(UNTYPED_OSTREAM<float>&) const;
template void FACE_INDEX<3>::Read(UNTYPED_ISTREAM<char>&);
template void FACE_INDEX<3>::Read(UNTYPED_ISTREAM<double>&);
template void FACE_INDEX<3>::Read(UNTYPED_ISTREAM<float>&);
template void FACE_INDEX<3>::Write(UNTYPED_OSTREAM<char>&) const;
template void FACE_INDEX<3>::Write(UNTYPED_OSTREAM<double>&) const;
template void FACE_INDEX<3>::Write(UNTYPED_OSTREAM<float>&) const;
}
